Re: [fedora-virt] Routing to guests
by Robert Thiem
> From: Philip Rhoades
> I can ssh from/to the host/guest OK but how do I set up a route (or
> whatever is necessary) so that another machine:
> eth0: 192.168.0.12
> can ssh to the guest? - "ssh 192.168.122.68" gives "no route to host" -
> http://docs.fedoraproject.org/virtualization-guide/f12/en-US/html/ but
> the problem does not seem to be covered there.
Alexander is correct in saying that bridging would allow you to do that.
There are two networking discussed in the guide.
The first is a NAT (network address translation), in which the guests are
given "private" ip addresses and any outbound traffic appears to be coming
from the host machine's IP address. This is the same as the setup on your
ADSL router where the internal network machines get addresses of
192.168.x.x but the internet sees your requests as coming from the IP
address of your router.
There should be lots of documentation in linux firewalling guides under
sections on NAT (or possibly called IP Masquerading in some). Have a look
at these for information on port forwarding to reveal services
inside the virtual (such as ssh).
The other option is bridging. This shares the physical network interface
of the host with the guest. In this case the VM acts as though it's a
machine plugged into the same subnet as the host, its services are
accessible like those of the host and it's as vulnerable to attack as the
host.
Robert
11 years, 8 months
Best location for user documentation
by John W. Himpel
I run my own sendmail server, dhcp server, dynamic dns server, ftp
server, mail server, ntp server, web server, etc. So I am used to
reading an following user/administrator documentation.
What would be the best location to look for user/administrator
documentation for using KVM. Most of what I find is either out of date
or very difficult for me to understand (I have tried reading "Part III
Configuration) of the Fedora 13 Virtualization Guide, but things like
PCI Passthru, SR_IVO USB device passthru and N_PortID are beyond my
knowledge.
My ultimate goal would be to run many of my services in their own
individual VM. I would also like to use KVM to allow me to test new
services inside a confined sandbox.
I also have to run a proprietary VPN under Win 7 to access my network at
work. I would like to run Win 7 under KVM, but I got lost about do I
need win-virtio drivers or not. If so, it talks about making a floppy
for installation time. Would making a DVD with the drivers work as
well?
Any pointers would be greatly appreciated.
13 years
Can't install Win7 in KVM
by John W. Himpel
I am unable to get Win 7 to install using virt-install under the most
recent rawhide (9/29/2010). I filed the details in bugzilla #6369999.
Included is the "debug" output from virt-install.
It appears to create the image file, Win 7 asks me about keyboard and
language. It then asks upgrade or install, I chose install. It then
asks me to pick the virtual partition to use as the install target. I
select the one I want. Win 7 then "thinks" for about a minute and the
install dies.
Any assistance would be greatly appreciated.
PS: I have made the patch shown in bz#628721.
Thanks
13 years
how to boot Windows partition as KVM/Qemu guest
by sam chan
hello all,
subject line says it all.
i have a standard dual-boot of windows and linux. would like
to boot the windows partion as a KVM guest. is it possible?
i've searched, but haven't found a definitive answer.
i'm running Fedora 14.
thanks,
sam
13 years
[PATCH] Give a nicer message if retune is called while ksmtuned is off
by Dan Kenigsberg
---
ksmtuned.init | 8 +++++++-
1 files changed, 7 insertions(+), 1 deletions(-)
diff --git a/ksmtuned.init b/ksmtuned.init
index e055785..5cd6090 100644
--- a/ksmtuned.init
+++ b/ksmtuned.init
@@ -77,8 +77,14 @@ case "$1" in
condrestart
;;
retune)
- kill -SIGUSR1 `cat ${pidfile}`
+ pid=`cat ${pidfile} 2> /dev/null`
RETVAL=$?
+ if [ -z "$pid" ]; then
+ echo $"Cannot retune, service is not running."
+ else
+ kill -SIGUSR1 $pid
+ RETVAL=$?
+ fi
;;
*)
echo $"Usage: $prog {start|stop|restart|force-reload|condrestart|try-restart|status|retune|help}"
--
1.7.2.1
13 years
Why does -p in 'virt-install' fail with 'no support for xen' ? doesn't kvm support paravirtualization?
by Henry Pepper
Hi
I seem unable to create a paravirtualized DomU, hvm works but '-p' fails with:
virt-install --connect qemu:///system -n alpha -r 512 -f
/var/kvm/gentoo.kvm -s 12 -c
/home/cadm/Downloads/install-x86-minimal-20100921.iso --vnc --os-type
linux --os-variant virtio26 --accelerate --virt-type kvm -p
ERROR Host does not support virtualization type 'xen'
Any idea of what I am doing wrong?
or is hvm and pv not the same on kvm as on xen?
Thanks
Henry
13 years
Fedora Virtualization Test Day Thursday September 23rd
by Justin Forbes
This is just a reminder that tomorrow is Fedora Virtualization test day.
Test plans and more information for the event can be found on the Fedora
Project Wiki at:
https://fedoraproject.org/wiki/Test_Day:2010-09-23_Virtualization
IRC for the event on freenode in #fedora-test-day. Please come lend a
hand, we can use as many testers as possible. If you cannot make it
tomorrow, please feel free to run through test plans as you have time,
the feedback is still relevant and helps to make Fedora a better
platform for virtualization.
Thanks,
Justin
13 years
state of spice and audio?
by Tom Horsley
So I'm completely confused by how audio is supposed to work
with spice. The spice-space.org docs have various marketing
level blurbs talking about how audio is one of the channels
of data handled by the spice client, but playing with my
windows XP KVM machine on fedora 14, I can't get any audio
at all to play.
I'm also confused by all the examples showing I should start
qemu with an ac97 audio device. I would have expected an audio
equivalent of the video qxl driver (but what do I know?).
Can anyone clarify for me the state of spice and audio
(and maybe even give me a hit about how to get audio
out of the Windows XP virtual machine?).
13 years
does ksm really work?
by sean darcy
I'm running kvm on F14. I'm running 2 XP clones. The ksm and ksmtuned
demons are running.
Yet:
for ii in /sys/kernel/mm/ksm/* ; do echo -n "$ii: " ; cat $ii ; done
/sys/kernel/mm/ksm/full_scans: 0
/sys/kernel/mm/ksm/pages_shared: 0
/sys/kernel/mm/ksm/pages_sharing: 0
/sys/kernel/mm/ksm/pages_to_scan: 100
/sys/kernel/mm/ksm/pages_unshared: 0
/sys/kernel/mm/ksm/pages_volatile: 266200
/sys/kernel/mm/ksm/run: 0
/sys/kernel/mm/ksm/sleep_millisecs: 20
And yes, I've echo'd 1 to sys/kernel/mm/ksm/run, but it gets reset to
0 after about a minute (ksmtuned at work?).
When does ksm do its stuff? This is a pretty big machine (16G). Does
it wait until there's memory pressure?
sean
13 years
[PATCH] memory taken by zero qemu processes should be 0
by Dan Kenigsberg
Former code behaved badly when `pgrep qemu` was empty.
Thanks to lihuang of BZ#609016
---
ksmtuned | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/ksmtuned b/ksmtuned
index 205ff84..d5d1494 100644
--- a/ksmtuned
+++ b/ksmtuned
@@ -71,8 +71,8 @@ KSMCTL () {
committed_memory () {
# calculate how much memory is committed to running qemu processes
local progname
- progname=${1:-qemu}
- ps -o vsz `pgrep $progname` | awk '{ sum += $1 }; END { print sum }'
+ progname=${1:-qemu-kvm}
+ ps -C "$progname" -o rsz | awk '{ sum += $1 }; END { print sum }'
}
free_memory () {
--
1.7.2.1
13 years